#include "def21262.h"

.section/pm seg_rth;

	nop;nop;nop;nop;
	nop;jump start;
	
.section/pm seg_pmco;

start:

	ustat1=dm(SYSCTL);
	bit set ustat1 PPFLGS;//|FLG2EN;
	dm(SYSCTL)= ustat1;
	
	bit set FLAGS FLG8O|FLG9O|FLG10O|FLG11O;
	
blink:

	bit set FLAGS FLG11;
	
	bit clr FLAGS FLG8|FLG10|FLG9;
	
	call delay;

	bit set FLAGS FLG10;
	
	bit clr FLAGS FLG8|FLG9|FLG11;
	
	call delay;
	
	bit set FLAGS FLG9;
	
	bit clr FLAGS FLG8|FLG10|FLG11;
	
	call delay;
	
	bit set FLAGS FLG8;
	
	bit clr FLAGS FLG9|FLG10|FLG11;
	
	call delay;
	
	
		
	
	jump blink;
	
delay:

lcntr=0x1fff,do blink1 until lce;
		lcntr=0xfff, do blink2 until lce;
		blink2:
			nop;
		blink1:
		nop;

rts;	
	
	
	
	
	
	